apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: dashboard
  finalizers:
  - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: 'https://kubernetes.github.io/dashboard/'
    targetRevision: 7.*.*
    helm:
      parameters:
        - name: 'ingress.enabled'
          value: 'true'
        - name: ingress.host
          value: 'dashboard.innohub.local'
        - name: 'ingress.tls[0].hosts[0]'
          value: 'dashboard.innohub.local'
        - name: 'ingress.tls[0].secretName'
          value: dashboard-tls
        - name: ingress.annotations.traefik\.ingress\.kubernetes\.io\/router\.entrypoints
          value: websecure
        - name: ingress.annotations.kubernetes\.io\/ingress\.class
          value: traefik
        - name: ingress.annotations.traefik\.ingress\.kubernetes\.io\/router\.tls
          value: 'true'
          forceString: true
        - name: serversTransport
          value: 'no-verify-tls'
#        - name: ingress.annotations.cert-manager\.io\/cluster-issuer
#          value: lets-encrypt
        - name: persistence.enabled
          value: 'true'
    chart: kubernetes-dashboard
  destination:
    server: 'https://kubernetes.default.svc'
    namespace: kubernetes-dashboard
  syncPolicy:
#    managedNamespaceMetadata:
#      labels: 
#        pod-security.kubernetes.io/enforce: 'privileged'
    automated:
      selfHeal: true
      prune: true
    syncOptions:
      - CreateNamespace=true